gsw_internal_energy_ice {gsw} | R Documentation

## Specific Internal Energy of Ice (75-term equation)

### Description

Specific Internal Energy of Ice (75-term equation)

### Usage

    gsw_internal_energy_ice(t, p)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

specific internal energy [ J/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_internal_energy_ice.html

### Examples

    t_Ih <- c(-10.7856, -13.4329, -12.8103, -12.2600,  -10.8863,  -8.4036)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    e <- gsw_internal_energy_ice(t_Ih, p)
    expect_equal(e/1e5, c(-3.556606992432442, -3.609926216929878, -3.597799043634774,
                        -3.587312078410920, -3.561207060376329, -3.512700418975375))

[Package gsw version 1.0-5 Index]